Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003685TestLinkRequirement Managementpublic2010-08-17 18:352010-10-09 08:01
Reporterapugohome 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS XOS Version10.6.4
Product Version1.9 Beta 5 
Fixed in Version1.9 RC 1 
Summary0003685: XML Requirements Import Updates Frozen Requirement
DescriptionThe intent of freezing a requirement is to prevent a requirement from being updated anymore. This behavior works correctly via the browser/GUI interface, but importing an updated version of a frozen requirement via XML allows for it to be updated without any warnings.

It is suggested that either a warning be displayed and/or the option be given to create a new version of the requirement.
Steps To Reproduce-Create a requirement
-Export to XML
-Freeze the Requirement
-Make changes to the Requirement in XML
-Import the Requirement
-Notice that the frozen requirement has been updated
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.1.49
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-3685.zip [^] (52,623 bytes) 2010-09-04 09:45

- Relationships
related to 0003745closedfman CSV Requirements Import Updates Frozen Requirement 

-  Notes
(0011249)
howea (reporter)
2010-09-03 16:56

This bug exists in 1.9 beta 6 also.
(0011255)
fman (administrator)
2010-09-04 09:45
edited on: 2010-09-04 09:52

No user OPTION -> REQ will be skipped with message on GUI

please apply attached fix (for BETA 6), retest and let us know

(0011294)
apugohome (reporter)
2010-09-07 15:59

I tested the fix against beta 6 and it works as you indicated. Thanks.
(0011787)
fman (administrator)
2010-10-09 08:01

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2010-08-17 18:35 apugohome New Issue
2010-09-03 16:56 howea Note Added: 0011249
2010-09-03 17:55 fman Assigned To => fman
2010-09-03 17:55 fman Status new => assigned
2010-09-04 09:45 fman File Added: fix-3685.zip
2010-09-04 09:45 fman Note Added: 0011255
2010-09-04 09:45 fman Status assigned => feedback
2010-09-04 09:51 fman Issue cloned: 0003745
2010-09-04 09:51 fman Relationship added related to 0003745
2010-09-04 09:52 fman Note Edited: 0011255 View Revisions
2010-09-07 15:59 apugohome Note Added: 0011294
2010-09-07 15:59 apugohome Status feedback => assigned
2010-09-14 21:28 fman Status assigned => resolved
2010-09-14 21:28 fman Fixed in Version => 1.9 RC 1
2010-09-14 21:28 fman Resolution open => fixed
2010-10-09 08:01 fman Note Added: 0011787
2010-10-09 08:01 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker